> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Parameters

> Retrieve the application's input form configuration, including feature switches, input parameter names, types, and default values.



## OpenAPI

````yaml /en/api-reference/openapi_completion.json get /parameters
openapi: 3.0.1
info:
  title: Completion App API
  description: >-
    The text generation application offers non-session support and is ideal for
    translation, article writing, summarization AI, and more.
  version: 1.0.0
servers:
  - url: '{api_base_url}'
    description: >-
      The base URL for the Completion App API. Replace {api_base_url} with the
      actual API base URL provided for your application.
    variables:
      api_base_url:
        default: https://api.dify.ai/v1
        description: Actual base URL of the API
security:
  - ApiKeyAuth: []
tags:
  - name: Completions
    description: Operations related to text generation and completion.
  - name: Files
    description: Operations related to file management.
  - name: End Users
    description: Operations related to end user information.
  - name: Feedback
    description: Operations related to user feedback.
  - name: TTS
    description: Operations related to Text-to-Speech and Speech-to-Text.
  - name: Applications
    description: Operations to retrieve application settings and information.
paths:
  /parameters:
    get:
      tags:
        - Applications
      summary: Get App Parameters
      description: >-
        Retrieve the application's input form configuration, including feature
        switches, input parameter names, types, and default values.
      operationId: getAppParameters
      responses:
        '200':
          description: Application parameters information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompletionAppParametersResponse'
              examples:
                appParameters:
                  summary: Response Example
                  value:
                    opening_statement: Hello! How can I help you today?
                    suggested_questions:
                      - What can you do?
                      - Tell me about your features.
                    suggested_questions_after_answer:
                      enabled: true
                    speech_to_text:
                      enabled: false
                    text_to_speech:
                      enabled: false
                      voice: alloy
                      language: en-US
                      autoPlay: disabled
                    retriever_resource:
                      enabled: true
                    annotation_reply:
                      enabled: false
                    more_like_this:
                      enabled: false
                    sensitive_word_avoidance:
                      enabled: false
                    user_input_form:
                      - text-input:
                          label: City
                          variable: city
                          required: true
                          default: ''
                    file_upload:
                      image:
                        enabled: true
                        number_limits: 3
                        detail: high
                        transfer_methods:
                          - remote_url
                          - local_file
                    system_parameters:
                      file_size_limit: 15
                      image_file_size_limit: 10
                      audio_file_size_limit: 50
                      video_file_size_limit: 100
                      workflow_file_upload_limit: 10
        '400':
          description: '`app_unavailable` : App unavailable or misconfigured.'
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
components:
  schemas:
    CompletionAppParametersResponse:
      type: object
      properties:
        opening_statement:
          type: string
          description: Opening statement displayed at start.
        suggested_questions:
          type: array
          items:
            type: string
          description: List of suggested starter questions.
        suggested_questions_after_answer:
          type: object
          description: Configuration for suggested questions after answer.
          properties:
            enabled:
              type: boolean
              description: Whether this feature is enabled.
        speech_to_text:
          type: object
          description: Speech-to-text configuration.
          properties:
            enabled:
              type: boolean
              description: Whether this feature is enabled.
        text_to_speech:
          type: object
          description: Text-to-speech configuration.
          properties:
            enabled:
              type: boolean
              description: Whether this feature is enabled.
            voice:
              type: string
              description: Voice identifier for TTS.
            language:
              type: string
              description: Language for TTS.
            autoPlay:
              type: string
              enum:
                - enabled
                - disabled
              description: Auto-play setting.
        retriever_resource:
          type: object
          description: Retriever resource configuration.
          properties:
            enabled:
              type: boolean
              description: Whether this feature is enabled.
        annotation_reply:
          type: object
          description: Annotation reply configuration.
          properties:
            enabled:
              type: boolean
              description: Whether this feature is enabled.
        more_like_this:
          type: object
          description: More-like-this configuration.
          properties:
            enabled:
              type: boolean
              description: Whether this feature is enabled.
        sensitive_word_avoidance:
          type: object
          description: Sensitive word avoidance configuration.
          properties:
            enabled:
              type: boolean
              description: Whether this feature is enabled.
        user_input_form:
          type: array
          description: List of user input form elements.
          items:
            $ref: '#/components/schemas/UserInputFormItem'
        file_upload:
          type: object
          description: File upload configuration.
          properties:
            image:
              type: object
              description: Image upload settings.
              properties:
                enabled:
                  type: boolean
                  description: Whether image upload is enabled.
                number_limits:
                  type: integer
                  description: Maximum number of images.
                detail:
                  type: string
                  description: Image detail level.
                transfer_methods:
                  type: array
                  items:
                    type: string
                    enum:
                      - remote_url
                      - local_file
                  description: Allowed transfer methods.
        system_parameters:
          type: object
          description: System-level parameters and limits.
          properties:
            file_size_limit:
              type: integer
              description: Maximum file size in MB.
            image_file_size_limit:
              type: integer
              description: Maximum image file size in MB.
            audio_file_size_limit:
              type: integer
              description: Maximum audio file size in MB.
            video_file_size_limit:
              type: integer
              description: Maximum video file size in MB.
            workflow_file_upload_limit:
              type: integer
              description: Maximum number of files for workflow file upload.
    UserInputFormItem:
      type: object
      oneOf:
        - $ref: '#/components/schemas/TextInputControlWrapper'
        - $ref: '#/components/schemas/ParagraphControlWrapper'
        - $ref: '#/components/schemas/SelectControlWrapper'
    TextInputControlWrapper:
      title: Text Input
      type: object
      properties:
        text-input:
          $ref: '#/components/schemas/TextInputControl'
    ParagraphControlWrapper:
      title: Paragraph
      type: object
      properties:
        paragraph:
          $ref: '#/components/schemas/ParagraphControl'
    SelectControlWrapper:
      title: Select
      type: object
      properties:
        select:
          $ref: '#/components/schemas/SelectControl'
    TextInputControl:
      type: object
      properties:
        label:
          type: string
          description: Display label for the form field.
        variable:
          type: string
          description: Variable name used as the key in the `inputs` object.
        required:
          type: boolean
          description: Whether this field must be filled before submission.
        default:
          type: string
          description: Default value pre-filled in the form field.
    ParagraphControl:
      type: object
      properties:
        label:
          type: string
          description: Display label for the form field.
        variable:
          type: string
          description: Variable name used as the key in the `inputs` object.
        required:
          type: boolean
          description: Whether this field must be filled before submission.
        default:
          type: string
          description: Default value pre-filled in the form field.
    SelectControl:
      type: object
      properties:
        label:
          type: string
          description: Display label for the form field.
        variable:
          type: string
          description: Variable name used as the key in the `inputs` object.
        required:
          type: boolean
          description: Whether a selection must be made before submission.
        default:
          type: string
          description: Default selected value.
        options:
          type: array
          items:
            type: string
          description: List of selectable values for this form control.
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key authentication. For all API requests, include your API Key in
        the `Authorization` HTTP Header, prefixed with `Bearer `. Example:
        `Authorization: Bearer {API_KEY}`. **Strongly recommend storing your API
        Key on the server-side, not shared or stored on the client-side, to
        avoid possible API-Key leakage that can lead to serious consequences.**

````